var searchData=
[
  ['s3_5ftest_5furl',['S3_TEST_URL',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1network.html#a3a72f3d29fbbc208a4f868493091a0f9',1,'alexaClientSDK::avsCommon::utils::network']]],
  ['s_5fbuilt',['s_built',['../structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_reference_counter.html#a6204c0fab42aaee3a7be51e70131016a',1,'alexaClientSDK::avsCommon::utils::ReferenceCounter']]],
  ['s_5fdestroyed',['s_destroyed',['../structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_reference_counter.html#a7643a4d3ebb140cab597985d6780a7c4',1,'alexaClientSDK::avsCommon::utils::ReferenceCounter']]],
  ['sample_5frate',['SAMPLE_RATE',['../namespacealexa_client_s_d_k_1_1sample_app.html#ad3f5acfedfc52408374087f8ac610a5c',1,'alexaClientSDK::sampleApp::SAMPLE_RATE()'],['../namespacealexa_client_s_d_k_1_1speechencoder.html#a42c35c6e4fc3220d068dfbfffeacba1f',1,'alexaClientSDK::speechencoder::SAMPLE_RATE()']]],
  ['sample_5frate_5fhz',['SAMPLE_RATE_HZ',['../namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#aa3e40944f5694d96e1f7e422f4085719',1,'alexaClientSDK::applicationUtilities::androidUtilities::test::SAMPLE_RATE_HZ()'],['../namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#aa3e40944f5694d96e1f7e422f4085719',1,'alexaClientSDK::applicationUtilities::androidUtilities::test::SAMPLE_RATE_HZ()'],['../namespacealexa_client_s_d_k_1_1capability_agents_1_1aip_1_1test.html#a6db4bd70d2c0da0c05dd79717abec91e',1,'alexaClientSDK::capabilityAgents::aip::test::SAMPLE_RATE_HZ()'],['../namespacealexa_client_s_d_k_1_1media_player_1_1android.html#acceb0be2a04db5d05b0e79f466451fc3',1,'alexaClientSDK::mediaPlayer::android::SAMPLE_RATE_HZ()'],['../namespacealexa_client_s_d_k_1_1sample_app.html#af3c9cdecad3d78e57a93020fe6fd5b15',1,'alexaClientSDK::sampleApp::SAMPLE_RATE_HZ()']]],
  ['sample_5fsize_5fbits',['SAMPLE_SIZE_BITS',['../namespacealexa_client_s_d_k_1_1media_player_1_1android.html#a20cb11fda4d0bc75a6719e3c4be06bc1',1,'alexaClientSDK::mediaPlayer::android']]],
  ['sample_5fsize_5fbytes',['SAMPLE_SIZE_BYTES',['../namespacealexa_client_s_d_k_1_1media_player_1_1android.html#ad2808cc061e6ff6c1a60dedf971e9147',1,'alexaClientSDK::mediaPlayer::android']]],
  ['sample_5fsize_5fin_5fbits',['SAMPLE_SIZE_IN_BITS',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1aip_1_1test.html#ac8f41663468e3cdcd0ded4bc4ec09dea',1,'alexaClientSDK::capabilityAgents::aip::test']]],
  ['samplebuffer',['sampleBuffer',['../namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#aa365cd4b67bad6d14bc13d135455e61f',1,'alexaClientSDK::avsCommon::avs::test']]],
  ['sampleratehz',['sampleRateHz',['../structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a4bb542a9da1a5415446abecf7afe6ef5',1,'alexaClientSDK::avsCommon::utils::AudioFormat']]],
  ['samples_5fper_5fms',['SAMPLES_PER_MS',['../namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a3e4e62f0f7da1153ae0cc33b4c08a16c',1,'alexaClientSDK::kwd::test::SAMPLES_PER_MS()'],['../namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a3e4e62f0f7da1153ae0cc33b4c08a16c',1,'alexaClientSDK::kwd::test::SAMPLES_PER_MS()']]],
  ['samplesizeinbits',['sampleSizeInBits',['../structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a8921b447fcaba19b4a9a1f498aaa9ba0',1,'alexaClientSDK::avsCommon::utils::AudioFormat']]],
  ['sampling_5frate_5f16000',['SAMPLING_RATE_16000',['../namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#af20af71c4537e5c8a7d25c125d966c0e',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['sampling_5frate_5f32000',['SAMPLING_RATE_32000',['../namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#aeafed833d0311cde10972b3337ad2da2',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['sampling_5frate_5f44100',['SAMPLING_RATE_44100',['../namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#ae305e24c12aaae51368f9e029061ce56',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['sampling_5frate_5f48000',['SAMPLING_RATE_48000',['../namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#acf108e6e87212dab0d0fb01c950c7464',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['sbc_5fbitpool_5fmax',['SBC_BITPOOL_MAX',['../namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a7447c0930516f09ce0238c0e649da597',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['sbc_5fbitpool_5fmin',['SBC_BITPOOL_MIN',['../namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a0639f49b5aaa4dfcaef3658e36ef2158',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['sbc_5fcaps_5fall',['SBC_CAPS_ALL',['../namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#af2b50bfcec977d4b7c8ac3f33fcd8877',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['scan_5fdevices',['SCAN_DEVICES',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth.html#ac6c260ce0ec09ef5898e93dc2a65e435',1,'alexaClientSDK::capabilityAgents::bluetooth']]],
  ['scan_5fdevices_5ffailed',['SCAN_DEVICES_FAILED',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth.html#ad7a5df68c15f3d5f815bdb8cdfb533ef',1,'alexaClientSDK::capabilityAgents::bluetooth']]],
  ['scan_5fdevices_5fupdated',['SCAN_DEVICES_UPDATED',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth.html#ab058341c2aa18f6f5266f333ae5f13e9',1,'alexaClientSDK::capabilityAgents::bluetooth']]],
  ['scanning_5fproperty',['SCANNING_PROPERTY',['../namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#ac86dd18c88e0a6aae43077798f22aa7d',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['sched_5ftime',['SCHED_TIME',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test.html#af1a0120ef7b072d8557c518d2b4d29a5',1,'alexaClientSDK::capabilityAgents::alerts::test']]],
  ['scheduledalerts',['scheduledAlerts',['../structalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_scheduler_1_1_alerts_context_info.html#a0f8b2e27f913808b3b9cb14be5c20e51',1,'alexaClientSDK::capabilityAgents::alerts::AlertScheduler::AlertsContextInfo']]],
  ['scheduledtime_5fiso_5f8601',['scheduledTime_ISO_8601',['../structalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_1_1_context_info.html#aa79f2e8ec2772ac637fd7feda30a9147',1,'alexaClientSDK::capabilityAgents::alerts::Alert::ContextInfo']]],
  ['sds_5fbuffer_5fdefault_5fsize_5fin_5fbytes',['SDS_BUFFER_DEFAULT_SIZE_IN_BYTES',['../classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_in_process_attachment.html#a1725ae5bc31be6d15bf2d8861c36d089',1,'alexaClientSDK::avsCommon::avs::attachment::InProcessAttachment']]],
  ['sds_5fbuffer_5fsize',['SDS_BUFFER_SIZE',['../namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#af838d8c2c18ca56447481b1f7f3aec52',1,'alexaClientSDK::applicationUtilities::androidUtilities::test::SDS_BUFFER_SIZE()'],['../namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#af838d8c2c18ca56447481b1f7f3aec52',1,'alexaClientSDK::applicationUtilities::androidUtilities::test::SDS_BUFFER_SIZE()']]],
  ['sds_5fmaxreaders',['SDS_MAXREADERS',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1aip_1_1test.html#aeb051042b6547fb4fc516bf0d2c99c3f',1,'alexaClientSDK::capabilityAgents::aip::test']]],
  ['sds_5fwords',['SDS_WORDS',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1aip_1_1test.html#aa1d00c590012233559bb63ce979fa36b',1,'alexaClientSDK::capabilityAgents::aip::test']]],
  ['sds_5fwordsize',['SDS_WORDSIZE',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1aip_1_1test.html#a4b99ab932fb3a6ce83fbf0ce95b14d32',1,'alexaClientSDK::capabilityAgents::aip::test']]],
  ['second_5ffirmware_5fversion',['SECOND_FIRMWARE_VERSION',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1system_1_1test.html#a7c3ae13157dd7ac24b0bfba6e3cf0e83',1,'alexaClientSDK::capabilityAgents::system::test']]],
  ['second_5fjson',['SECOND_JSON',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#a97be25a28ff0c64a0b61b7636509c247',1,'alexaClientSDK::avsCommon::utils::configuration::test']]],
  ['seconds_5fin_5fhour',['SECONDS_IN_HOUR',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1system.html#a86a6483476859bea561d301864b1af67',1,'alexaClientSDK::capabilityAgents::system']]],
  ['section_5fseparator',['SECTION_SEPARATOR',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a223cc849b1341138258c864141f80917',1,'alexaClientSDK::avsCommon::utils::logger']]],
  ['seek_5fdirective',['SEEK_DIRECTIVE',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a0e71c2e037def0feb66f5eb42ab16f45',1,'alexaClientSDK::capabilityAgents::externalMediaPlayer::SEEK_DIRECTIVE()'],['../namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test.html#a419cbd844e3bc3e7752588b368e0a5a8',1,'alexaClientSDK::capabilityAgents::externalMediaPlayer::test::SEEK_DIRECTIVE()']]],
  ['seekcontroller_5fcapability_5finterface_5fname',['SEEKCONTROLLER_CAPABILITY_INTERFACE_NAME',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#ae5edd6f55dfa0545afcd8ad006305229',1,'alexaClientSDK::capabilityAgents::externalMediaPlayer']]],
  ['seekcontroller_5fcapability_5finterface_5fversion',['SEEKCONTROLLER_CAPABILITY_INTERFACE_VERSION',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#ae05a4bfc7ee2a1cd69912e84d0e1de3a',1,'alexaClientSDK::capabilityAgents::externalMediaPlayer']]],
  ['seekcontroller_5fnamespace',['SEEKCONTROLLER_NAMESPACE',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#af3f4724d31ff588f818a087ddc313c59',1,'alexaClientSDK::capabilityAgents::externalMediaPlayer::SEEKCONTROLLER_NAMESPACE()'],['../namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test.html#a21b38ef18038cfdfbe88596035d70061',1,'alexaClientSDK::capabilityAgents::externalMediaPlayer::test::SEEKCONTROLLER_NAMESPACE()']]],
  ['self_5fdevice',['SELF_DEVICE',['../namespacealexa_client_s_d_k_1_1capabilities_delegate.html#acdfa568c2c58e517683c203d981725e2',1,'alexaClientSDK::capabilitiesDelegate::SELF_DEVICE()'],['../namespacealexa_client_s_d_k_1_1capabilities_delegate_1_1test.html#a4862f2d522ebb6d0503824f70d9c6bc3',1,'alexaClientSDK::capabilitiesDelegate::test::SELF_DEVICE()']]],
  ['sensitivity',['sensitivity',['../structalexa_client_s_d_k_1_1kwd_1_1_kitt_ai_key_word_detector_1_1_kitt_ai_configuration.html#abb7f07a0329326597720c716b0ea5ee4',1,'alexaClientSDK::kwd::KittAiKeyWordDetector::KittAiConfiguration']]],
  ['sensory_5fcompatible_5fencoding',['SENSORY_COMPATIBLE_ENCODING',['../namespacealexa_client_s_d_k_1_1kwd.html#ac1719be531e9a6db3d82644a01a4ec25',1,'alexaClientSDK::kwd']]],
  ['sensory_5fcompatible_5fendianness',['SENSORY_COMPATIBLE_ENDIANNESS',['../namespacealexa_client_s_d_k_1_1kwd.html#a81c7db73422ca7a318934a8e17572b8c',1,'alexaClientSDK::kwd']]],
  ['sensory_5fcompatible_5fnum_5fchannels',['SENSORY_COMPATIBLE_NUM_CHANNELS',['../namespacealexa_client_s_d_k_1_1kwd.html#a97089819a0e8ae3be6a01199b52eea35',1,'alexaClientSDK::kwd']]],
  ['sensory_5fcompatible_5fsample_5frate',['SENSORY_COMPATIBLE_SAMPLE_RATE',['../namespacealexa_client_s_d_k_1_1kwd.html#af1a4724286853fc2d5c2cd97b60c7191',1,'alexaClientSDK::kwd']]],
  ['sensory_5fcompatible_5fsample_5fsize_5fin_5fbits',['SENSORY_COMPATIBLE_SAMPLE_SIZE_IN_BITS',['../namespacealexa_client_s_d_k_1_1kwd.html#a74cb48d9b847448a062bf5f139a03b72',1,'alexaClientSDK::kwd']]],
  ['separator',['SEPARATOR',['../namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a632dca31ce7572dd4a9a695f5b469ce5',1,'alexaClientSDK::avsCommon::test::SEPARATOR()'],['../namespaceandroid__test.html#a1d40ef3667a7f63e1665dc06c42db565',1,'android_test.SEPARATOR()']]],
  ['session_5fretry_5ftable',['SESSION_RETRY_TABLE',['../namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a794e32efa8876328dcea393956b83884',1,'alexaClientSDK::avsCommon::avs::externalMediaPlayer']]],
  ['session_5fretry_5ftimer',['SESSION_RETRY_TIMER',['../namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#acd2fa1015fef24596cb189ed6f4c0aa3',1,'alexaClientSDK::avsCommon::avs::externalMediaPlayer']]],
  ['session_5fstate',['SESSION_STATE',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a733a7df9af5740daa70e7e0adee9cca8',1,'alexaClientSDK::capabilityAgents::externalMediaPlayer::SESSION_STATE()'],['../namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test.html#a74c242158804154c0e9b0aebd4d57760',1,'alexaClientSDK::capabilityAgents::externalMediaPlayer::test::SESSION_STATE()']]],
  ['sessionstate',['sessionState',['../classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_state.html#a63a6794902c3527d28fc7b684b040c45',1,'alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::AdapterState']]],
  ['set_5falert',['SET_ALERT',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a50b0bea563f7b7fdb8d41c764678264e',1,'alexaClientSDK::capabilityAgents::alerts']]],
  ['set_5falert_5ffailed_5fevent_5fname',['SET_ALERT_FAILED_EVENT_NAME',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a3993866a905c3401cfcd285d606ca226',1,'alexaClientSDK::capabilityAgents::alerts']]],
  ['set_5falert_5fpair',['SET_ALERT_PAIR',['../namespacealexa_client_s_d_k_1_1integration_1_1test.html#a6989e294e1bfd9e16d9311d177efc9f7',1,'alexaClientSDK::integration::test']]],
  ['set_5falert_5fsucceeded_5fevent_5fname',['SET_ALERT_SUCCEEDED_EVENT_NAME',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a61be773fe93a7bdd7b7e684ae5de19b2',1,'alexaClientSDK::capabilityAgents::alerts']]],
  ['set_5fend_5fof_5fspeech_5foffset',['SET_END_OF_SPEECH_OFFSET',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a8048a6c2c004a9aa10fa5a5616677532',1,'alexaClientSDK::capabilityAgents::aip::SET_END_OF_SPEECH_OFFSET()'],['../namespacealexa_client_s_d_k_1_1capability_agents_1_1aip_1_1test.html#a83f5408d56006f4be5d24277b06524fa',1,'alexaClientSDK::capabilityAgents::aip::test::SET_END_OF_SPEECH_OFFSET()']]],
  ['set_5findicator',['SET_INDICATOR',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a7e313af9a2e32fa33305b0a245d6d415',1,'alexaClientSDK::capabilityAgents::notifications']]],
  ['set_5fmute',['SET_MUTE',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a7a63f026180439fda2630f389c1781f8',1,'alexaClientSDK::capabilityAgents::speakerManager']]],
  ['set_5fmute_5fpair',['SET_MUTE_PAIR',['../namespacealexa_client_s_d_k_1_1integration_1_1test.html#ae9597d5d2ed9d09fd0eb5fac6a0e2146',1,'alexaClientSDK::integration::test::SET_MUTE_PAIR()'],['../namespacealexa_client_s_d_k_1_1integration_1_1test.html#ab26a43379a571b3c3a1ed7309566c80c',1,'alexaClientSDK::integration::test::SET_MUTE_PAIR()'],['../namespacealexa_client_s_d_k_1_1integration_1_1test.html#ab26a43379a571b3c3a1ed7309566c80c',1,'alexaClientSDK::integration::test::SET_MUTE_PAIR()']]],
  ['set_5fvolume',['SET_VOLUME',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a52cc57cfc13613c57f6ce3deae3c92c5',1,'alexaClientSDK::capabilityAgents::alerts::SET_VOLUME()'],['../namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a81953ffb207e01a40f6f361b4a87ddc1',1,'alexaClientSDK::capabilityAgents::speakerManager::SET_VOLUME()']]],
  ['set_5fvolume_5fdirective_5fname',['SET_VOLUME_DIRECTIVE_NAME',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test.html#ab5c8632e9a3429afcd68147f8487ba86',1,'alexaClientSDK::capabilityAgents::alerts::test']]],
  ['set_5fvolume_5fnamespace_5fname',['SET_VOLUME_NAMESPACE_NAME',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test.html#a8412afe29a61f1c9d2cf31e970e03a14',1,'alexaClientSDK::capabilityAgents::alerts::test']]],
  ['setdndmode_5fdirective_5fvalid_5fjson_5fstring',['SETDNDMODE_DIRECTIVE_VALID_JSON_STRING',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1test.html#a724de907ae05579bda4a525b565cefc1',1,'alexaClientSDK::capabilityAgents::doNotDisturb::test']]],
  ['setting_5fkey',['SETTING_KEY',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#a587b3234e1f5512363185dd9de48129d',1,'alexaClientSDK::capabilityAgents::settings::SETTING_KEY()'],['../namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#ab244877f485a255e751831a954b31c83',1,'alexaClientSDK::capabilityAgents::settings::SETTING_KEY()']]],
  ['setting_5fvalue',['SETTING_VALUE',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#a42e2b18aa94ea7fc3da76567b4ba45aa',1,'alexaClientSDK::capabilityAgents::settings::SETTING_VALUE()'],['../namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#a2b46dea8438d473f3ea9adacacd547ae',1,'alexaClientSDK::capabilityAgents::settings::SETTING_VALUE()']]],
  ['settingname',['settingName',['../structalexa_client_s_d_k_1_1settings_1_1_setting_event_metadata.html#ab9ae8637bd3a412b7e104c9ea7c63463',1,'alexaClientSDK::settings::SettingEventMetadata']]],
  ['settings',['SETTINGS',['../namespacealexa_client_s_d_k_1_1sample_app.html#a65d18d0757f8e5f068409327e4eb1494',1,'alexaClientSDK::sampleApp']]],
  ['settings_5faccepted_5fkeys',['SETTINGS_ACCEPTED_KEYS',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#ae9494a4512aa8050c3ee63179a7e7c8e',1,'alexaClientSDK::capabilityAgents::settings']]],
  ['settings_5fcapability_5finterface_5fname',['SETTINGS_CAPABILITY_INTERFACE_NAME',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#a944ea26bc04d8e27985e0baae3ddc0de',1,'alexaClientSDK::capabilityAgents::settings']]],
  ['settings_5fcapability_5finterface_5ftype',['SETTINGS_CAPABILITY_INTERFACE_TYPE',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#a82d673dd8b3c295701778c9168d34407',1,'alexaClientSDK::capabilityAgents::settings']]],
  ['settings_5fcapability_5finterface_5fversion',['SETTINGS_CAPABILITY_INTERFACE_VERSION',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#a7fd4af8a3fdab2bebd420cc02f7f82b2',1,'alexaClientSDK::capabilityAgents::settings']]],
  ['settings_5fconfig_5fjson',['SETTINGS_CONFIG_JSON',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test.html#ad54c7a005fa0d522533fcfec4baa588d',1,'alexaClientSDK::capabilityAgents::settings::test']]],
  ['settings_5fconfiguration_5froot_5fkey',['SETTINGS_CONFIGURATION_ROOT_KEY',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#a4c81a8ad89582eebba382568e922d024',1,'alexaClientSDK::capabilityAgents::settings::SETTINGS_CONFIGURATION_ROOT_KEY()'],['../namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#a4c81a8ad89582eebba382568e922d024',1,'alexaClientSDK::capabilityAgents::settings::SETTINGS_CONFIGURATION_ROOT_KEY()']]],
  ['settings_5fdb_5ffile_5fpath_5fkey',['SETTINGS_DB_FILE_PATH_KEY',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#aeaa366807af69f46cb266b6071df1079',1,'alexaClientSDK::capabilityAgents::settings']]],
  ['settings_5fdefault_5fsettings_5froot_5fkey',['SETTINGS_DEFAULT_SETTINGS_ROOT_KEY',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#af049e2810ce9ce5f6b75394b61eafc32',1,'alexaClientSDK::capabilityAgents::settings::SETTINGS_DEFAULT_SETTINGS_ROOT_KEY()'],['../namespacealexa_client_s_d_k_1_1authorization_1_1cbl_auth_delegate.html#aebc48e61e4e8a6b3a37069272f975cb9',1,'alexaClientSDK::authorization::cblAuthDelegate::SETTINGS_DEFAULT_SETTINGS_ROOT_KEY()']]],
  ['settings_5fkey',['SETTINGS_KEY',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test.html#a9d6cc95ce145af4aa8eeb71e8abf64e9',1,'alexaClientSDK::capabilityAgents::settings::test']]],
  ['settings_5fmessage',['SETTINGS_MESSAGE',['../namespacealexa_client_s_d_k_1_1sample_app.html#a7c997795106a5eaa91685e52fc86b4ed',1,'alexaClientSDK::sampleApp']]],
  ['settings_5fnamespace',['SETTINGS_NAMESPACE',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test.html#aaf123afd851219928528d1a4ecdb572a',1,'alexaClientSDK::capabilityAgents::settings::test']]],
  ['settings_5fstring',['SETTINGS_STRING',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#a9f907b5ce5eb5c89894681803b4c19c1',1,'alexaClientSDK::capabilityAgents::settings']]],
  ['settings_5ftable_5fname',['SETTINGS_TABLE_NAME',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#a15eadc3a2f0d6e72d27049043aab263d',1,'alexaClientSDK::capabilityAgents::settings']]],
  ['settings_5fupdated_5fevent_5fname',['SETTINGS_UPDATED_EVENT_NAME',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#ae042f89767cfd89c99ea588515dc10eb',1,'alexaClientSDK::capabilityAgents::settings::SETTINGS_UPDATED_EVENT_NAME()'],['../namespacealexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test.html#a88a98a65a4ce5b12826d09aaa610861b',1,'alexaClientSDK::capabilityAgents::settings::test::SETTINGS_UPDATED_EVENT_NAME()']]],
  ['settings_5fvalue',['SETTINGS_VALUE',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test.html#abd28b198071fa22d3be7c51c26b81ae8',1,'alexaClientSDK::capabilityAgents::settings::test']]],
  ['settingt',['SettingT',['../classalexa_client_s_d_k_1_1settings_1_1_setting_observer_interface.html#a4fc8091739714838655397c21d161880',1,'alexaClientSDK::settings::SettingObserverInterface']]],
  ['short_5faudio',['SHORT_AUDIO',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test.html#abf2fb90671ef88aabf49bfb5451e3840',1,'alexaClientSDK::capabilityAgents::alerts::test']]],
  ['short_5fdelay',['SHORT_DELAY',['../namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a4708fa617127b41d8e237367105b9aed',1,'alexaClientSDK::acl::transport::test::SHORT_DELAY()'],['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1test.html#afc0b9120231b041c0fff4d5d151c3685',1,'alexaClientSDK::avsCommon::utils::timing::test::SHORT_DELAY()']]],
  ['short_5fdirective_5fdelay',['SHORT_DIRECTIVE_DELAY',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1system_1_1test.html#acf5ce5f2ae7975e14a43dc884b8267ef',1,'alexaClientSDK::capabilityAgents::system::test']]],
  ['short_5ftimeout',['SHORT_TIMEOUT',['../namespacealexa_client_s_d_k_1_1afml_1_1test.html#a79a0a9c75e2da63ed85222b6da9dfa66',1,'alexaClientSDK::afml::test::SHORT_TIMEOUT()'],['../namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a7ce57fb4a0058f75a9d59eff7e8c1116',1,'alexaClientSDK::avsCommon::avs::SHORT_TIMEOUT()'],['../namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a2647d47184529126dda309fdfdd80184',1,'alexaClientSDK::avsCommon::test::SHORT_TIMEOUT()'],['../namespacealexa_client_s_d_k_1_1playlist_parser_1_1test.html#a5b75ac2f02799385253b442d4e8f0fd6',1,'alexaClientSDK::playlistParser::test::SHORT_TIMEOUT()']]],
  ['short_5ftimeout_5fms',['SHORT_TIMEOUT_MS',['../classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html#ab85c71109ccf5226856f65a92c4e8a6d',1,'alexaClientSDK::acl::test::MessageRouterTest::SHORT_TIMEOUT_MS()'],['../namespacealexa_client_s_d_k_1_1afml_1_1test.html#a0b5f7790a647932ddcfc193b248f8c88',1,'alexaClientSDK::afml::test::SHORT_TIMEOUT_MS()'],['../namespacealexa_client_s_d_k_1_1afml_1_1test.html#a0b5f7790a647932ddcfc193b248f8c88',1,'alexaClientSDK::afml::test::SHORT_TIMEOUT_MS()'],['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1test.html#a83d0f1c5a61613e11083de02c78b837f',1,'alexaClientSDK::avsCommon::utils::threading::test::SHORT_TIMEOUT_MS()']]],
  ['shuffle',['SHUFFLE',['../namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#ad27377ded67db12f8964c0f1e8f3d719',1,'alexaClientSDK::avsCommon::avs::externalMediaPlayer::SHUFFLE()'],['../namespacealexa_client_s_d_k_1_1sample_app.html#ad589049f24a32ff197e5e6ef906d0f70',1,'alexaClientSDK::sampleApp::SHUFFLE()']]],
  ['shuffleenabled',['shuffleEnabled',['../structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_playback_state.html#aee86df0d36803b38103e98e98ea1ceda',1,'alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::AdapterPlaybackState']]],
  ['shutdown_5ftimeout',['SHUTDOWN_TIMEOUT',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#ad168645113a45c10d458b90bc14241c3',1,'alexaClientSDK::capabilityAgents::notifications']]],
  ['silence_5faudio_5ffile',['SILENCE_AUDIO_FILE',['../namespacealexa_client_s_d_k_1_1integration_1_1test.html#a4bc608448ffb89dc1ac976ff6b748510',1,'alexaClientSDK::integration::test']]],
  ['silence_5faudio_5ffile_5fname',['SILENCE_AUDIO_FILE_NAME',['../namespacealexa_client_s_d_k_1_1integration_1_1test.html#af246226ff64bff6abb1bf62234d9b213',1,'alexaClientSDK::integration::test']]],
  ['size',['size',['../structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html#a0548f8e9e14c0c5541686c237fc255d8',1,'alexaClientSDK::avsCommon::utils::http2::HTTP2SendDataResult']]],
  ['skip_5fbackward',['SKIP_BACKWARD',['../namespacealexa_client_s_d_k_1_1sample_app.html#a71be884791c883e990cb6c5b3e97d5a3',1,'alexaClientSDK::sampleApp']]],
  ['skip_5fforward',['SKIP_FORWARD',['../namespacealexa_client_s_d_k_1_1sample_app.html#a8cc24d2e620f7b13c4be08d23f6c6b76',1,'alexaClientSDK::sampleApp']]],
  ['small',['SMALL',['../namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a0ebec42fb00d241fa2ca974174964e64',1,'alexaClientSDK::avsCommon::test']]],
  ['small_5furl',['SMALL_URL',['../namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a28a6784c98f01521a974f0d789dfd8b3',1,'alexaClientSDK::avsCommon::avs::externalMediaPlayer']]],
  ['smallurl',['smallURL',['../structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_playback_state.html#a5066d13f2cd03b38474878ce51d945bd',1,'alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::AdapterPlaybackState']]],
  ['spaceavailableconditionvariable',['spaceAvailableConditionVariable',['../structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_buffer_layout_1_1_header.html#a3a3f198ede21c752a58fc31e8c23efc2',1,'alexaClientSDK::avsCommon::utils::sds::SharedDataStream::BufferLayout::Header']]],
  ['speak',['SPEAK',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer.html#a795ef80c74230a7edefd3a8779a762d5',1,'alexaClientSDK::capabilityAgents::speechSynthesizer']]],
  ['speak_5fdirective',['SPEAK_DIRECTIVE',['../namespacealexa_client_s_d_k_1_1adsl_1_1test.html#a11609db1c64982dfadc241328c993f83',1,'alexaClientSDK::adsl::test::SPEAK_DIRECTIVE()'],['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#aefbe71884c181a13cf4bbf34a8402b20',1,'alexaClientSDK::avsCommon::utils::json::test::SPEAK_DIRECTIVE()']]],
  ['speak_5fpair',['SPEAK_PAIR',['../namespacealexa_client_s_d_k_1_1integration_1_1test.html#a5ba28ebc0c35a4f0431a82a4a9ecd6ba',1,'alexaClientSDK::integration::test::SPEAK_PAIR()'],['../namespacealexa_client_s_d_k_1_1integration_1_1test.html#a03d8649b4bf2f7b34a218b079040072c',1,'alexaClientSDK::integration::test::SPEAK_PAIR()'],['../namespacealexa_client_s_d_k_1_1integration_1_1test.html#a03d8649b4bf2f7b34a218b079040072c',1,'alexaClientSDK::integration::test::SPEAK_PAIR()']]],
  ['speaker_5fcapability_5finterface_5fname',['SPEAKER_CAPABILITY_INTERFACE_NAME',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a706982c5cb8d90697c54d164d40a5d2e',1,'alexaClientSDK::capabilityAgents::speakerManager']]],
  ['speaker_5fcapability_5finterface_5ftype',['SPEAKER_CAPABILITY_INTERFACE_TYPE',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a0d0eed77ae9aad6f0c9f20cf590c2b6f',1,'alexaClientSDK::capabilityAgents::speakerManager']]],
  ['speaker_5fcapability_5finterface_5fversion',['SPEAKER_CAPABILITY_INTERFACE_VERSION',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a0dbcac71a8e2111776065fa2070fbaf1',1,'alexaClientSDK::capabilityAgents::speakerManager']]],
  ['speaker_5fcontrol',['SPEAKER_CONTROL',['../namespacealexa_client_s_d_k_1_1sample_app.html#a410e959ea071c2be92eab363f68c1b48',1,'alexaClientSDK::sampleApp']]],
  ['speaker_5fcontrol_5fmessage',['SPEAKER_CONTROL_MESSAGE',['../namespacealexa_client_s_d_k_1_1sample_app.html#a702df41771274560cb477b8d3627f6f8',1,'alexaClientSDK::sampleApp']]],
  ['speakermanager_5fconfiguration_5froot_5fkey',['SPEAKERMANAGER_CONFIGURATION_ROOT_KEY',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a1f83881f9acd476313c652f53b57d7cc',1,'alexaClientSDK::capabilityAgents::speakerManager']]],
  ['speakermanager_5fmin_5funmute_5fvolume_5fkey',['SPEAKERMANAGER_MIN_UNMUTE_VOLUME_KEY',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a18b0fbb623c22765693c76224c360f83',1,'alexaClientSDK::capabilityAgents::speakerManager']]],
  ['speech_5ffinished_5fevent_5fname',['SPEECH_FINISHED_EVENT_NAME',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer.html#a7695957590c5cd8a7dcc161aa514efa5',1,'alexaClientSDK::capabilityAgents::speechSynthesizer']]],
  ['speech_5fstarted_5fevent_5fname',['SPEECH_STARTED_EVENT_NAME',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer.html#a2d4f40e19a2c2e9ecc07fd3e6d5567e9',1,'alexaClientSDK::capabilityAgents::speechSynthesizer']]],
  ['speech_5fsynthesizer',['SPEECH_SYNTHESIZER',['../namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a7aba5187fbee22f4e8dedc662fbf7f62',1,'alexaClientSDK::contextManager::test']]],
  ['speech_5fsynthesizer_5fpayload_5ffinished',['SPEECH_SYNTHESIZER_PAYLOAD_FINISHED',['../namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a84089e37c687684408b7450ad198b781',1,'alexaClientSDK::contextManager::test']]],
  ['speech_5fsynthesizer_5fpayload_5fplaying',['SPEECH_SYNTHESIZER_PAYLOAD_PLAYING',['../namespacealexa_client_s_d_k_1_1context_manager_1_1test.html#a15953f2e68feb286b1ddc5f95277ab2a',1,'alexaClientSDK::contextManager::test']]],
  ['speechrecognizer_5fcapability_5finterface_5fname',['SPEECHRECOGNIZER_CAPABILITY_INTERFACE_NAME',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a289ea50d1769f9459f2ab3b57bb39354',1,'alexaClientSDK::capabilityAgents::aip']]],
  ['speechrecognizer_5fcapability_5finterface_5ftype',['SPEECHRECOGNIZER_CAPABILITY_INTERFACE_TYPE',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a360033ed0709cfc0d89188252685250b',1,'alexaClientSDK::capabilityAgents::aip']]],
  ['speechrecognizer_5fcapability_5finterface_5fversion',['SPEECHRECOGNIZER_CAPABILITY_INTERFACE_VERSION',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a3ab9280533d3bb8961a114352d60f27c',1,'alexaClientSDK::capabilityAgents::aip']]],
  ['speechsynthesizer_5fcapability_5finterface_5fname',['SPEECHSYNTHESIZER_CAPABILITY_INTERFACE_NAME',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer.html#aa89f0764b7d6e0c5c5401c93c75ff721',1,'alexaClientSDK::capabilityAgents::speechSynthesizer']]],
  ['speechsynthesizer_5fcapability_5finterface_5ftype',['SPEECHSYNTHESIZER_CAPABILITY_INTERFACE_TYPE',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer.html#a417cf8c3be859816855ab401491d5466',1,'alexaClientSDK::capabilityAgents::speechSynthesizer']]],
  ['speechsynthesizer_5fcapability_5finterface_5fversion',['SPEECHSYNTHESIZER_CAPABILITY_INTERFACE_VERSION',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer.html#af5640c76d399994ad4324316d4d2ea52',1,'alexaClientSDK::capabilityAgents::speechSynthesizer']]],
  ['sqlite_5fbind_5fparameter_5fleft_5fmost_5findex',['SQLITE_BIND_PARAMETER_LEFT_MOST_INDEX',['../namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage.html#aa5d13694f8d89401a04a013ea0622f94',1,'alexaClientSDK::storage::sqliteStorage']]],
  ['sqlite_5fparse_5fstring_5funtil_5fnul_5fcharacter',['SQLITE_PARSE_STRING_UNTIL_NUL_CHARACTER',['../namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage.html#af3695dabf7f6da0ac2ddaca876e08f82',1,'alexaClientSDK::storage::sqliteStorage']]],
  ['sqlite_5fresult_5ffield_5fleft_5fmost_5findex',['SQLITE_RESULT_FIELD_LEFT_MOST_INDEX',['../namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage.html#a303c43ae054b321fb4656b76ca4ba3bf',1,'alexaClientSDK::storage::sqliteStorage']]],
  ['stability_5fcheck_5fiterations',['STABILITY_CHECK_ITERATIONS',['../namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#afc119549b0a419c7ce8af9a2f642ce77',1,'alexaClientSDK::equalizer::test']]],
  ['start_5ffailure',['START_FAILURE',['../classalexa_client_s_d_k_1_1playlist_parser_1_1_playlist_parser.html#adcde7e43272697ed0edb4d30cb7153cc',1,'alexaClientSDK::playlistParser::PlaylistParser']]],
  ['start_5findex_5fkey',['START_INDEX_KEY',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a90336aeeac4edbe1bde7273b885bf610',1,'alexaClientSDK::capabilityAgents::aip::START_INDEX_KEY()'],['../namespacealexa_client_s_d_k_1_1capability_agents_1_1aip_1_1test.html#a356c781e5dcde2a9cdbc5f3412c0266a',1,'alexaClientSDK::capabilityAgents::aip::test::START_INDEX_KEY()']]],
  ['start_5fof_5fspeech_5ftimestamp',['START_OF_SPEECH_TIMESTAMP',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1aip_1_1test.html#aece6c7ca8b2c64cd70a15e1deae74332',1,'alexaClientSDK::capabilityAgents::aip::test']]],
  ['start_5fof_5fspeech_5ftimestamp_5ffield_5fname',['START_OF_SPEECH_TIMESTAMP_FIELD_NAME',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a690d88d522bcccad01aea068231b4226',1,'alexaClientSDK::capabilityAgents::aip::START_OF_SPEECH_TIMESTAMP_FIELD_NAME()'],['../namespacealexa_client_s_d_k_1_1capability_agents_1_1aip_1_1test.html#ab8466b567b01965a5126f02dd73bde86',1,'alexaClientSDK::capabilityAgents::aip::test::START_OF_SPEECH_TIMESTAMP_FIELD_NAME()']]],
  ['start_5fof_5fspeech_5ftimestamp_5fstr',['START_OF_SPEECH_TIMESTAMP_STR',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1aip_1_1test.html#a1786c0260e2badeb2fb9031beb48efa3',1,'alexaClientSDK::capabilityAgents::aip::test']]],
  ['start_5fscan',['START_SCAN',['../namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#ae8ccb561e390cf26af3caa6a4339f73f',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['startover_5fdirective',['STARTOVER_DIRECTIVE',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#aaec8b712cc30c6291e3db148161d8945',1,'alexaClientSDK::capabilityAgents::externalMediaPlayer::STARTOVER_DIRECTIVE()'],['../namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test.html#aca12c1d6249d9cf44be86eaca33ed3d6',1,'alexaClientSDK::capabilityAgents::externalMediaPlayer::test::STARTOVER_DIRECTIVE()']]],
  ['state',['state',['../structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_playback_state.html#ac55188e491b6a8000fd35f0f3f891520',1,'alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::AdapterPlaybackState::state()'],['../structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_observable_playback_state_properties.html#ab954ccdbb090f93fcf4bbc1f781c057e',1,'alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::ObservablePlaybackStateProperties::state()'],['../structalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_1_1_dynamic_data.html#ac6dad4584375f28a39693a89926b2531',1,'alexaClientSDK::capabilityAgents::alerts::Alert::DynamicData::state()'],['../classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_alert_observer_1_1changed_alert.html#a1493e9006079afd954638047351ebbda',1,'alexaClientSDK::integration::test::TestAlertObserver::changedAlert::state()'],['../namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#af1ac49c758b21478feba7580f0100808',1,'alexaClientSDK::avsCommon::avs::externalMediaPlayer::STATE()'],['../namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player.html#a4acbe76de216291c737665cc697dc870',1,'alexaClientSDK::capabilityAgents::audioPlayer::STATE()']]],
  ['state_5factive',['STATE_ACTIVE',['../namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a374241bfaf34d28d61cbe4acd233cbce',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['state_5fchange_5ftimeout',['STATE_CHANGE_TIMEOUT',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer.html#a37575166821b9269567c9ffe43802bc5',1,'alexaClientSDK::capabilityAgents::speechSynthesizer']]],
  ['state_5fidle',['STATE_IDLE',['../namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#adcce23209da95b55be17a4b29ee50969',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['state_5fpending',['STATE_PENDING',['../namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#ab013d22d386fcd257b8655eab4aad250',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['state_5fsynchronizer_5fname',['STATE_SYNCHRONIZER_NAME',['../namespacealexa_client_s_d_k_1_1acl.html#a66a552ca64c4f97341a3487a234f9dcf',1,'alexaClientSDK::acl']]],
  ['state_5fsynchronizer_5fnamespace',['STATE_SYNCHRONIZER_NAMESPACE',['../namespacealexa_client_s_d_k_1_1acl.html#a8ff2d65a69a775addc4bcd3358687460',1,'alexaClientSDK::acl']]],
  ['stateobserver',['stateObserver',['../classalexa_client_s_d_k_1_1kwd_1_1test_1_1_kitt_ai_key_word_test.html#ad5d646d0326f62864f6a56b902915f48',1,'alexaClientSDK::kwd::test::KittAiKeyWordTest::stateObserver()'],['../classalexa_client_s_d_k_1_1kwd_1_1test_1_1_sensory_keyword_test.html#a202e7cbaf75ea403b5f3da6d8897e6ca',1,'alexaClientSDK::kwd::test::SensoryKeywordTest::stateObserver()']]],
  ['stateobserver1',['stateObserver1',['../classalexa_client_s_d_k_1_1kwd_1_1test_1_1_abstract_key_word_detector_test.html#ae3600937e6655c3337ca1b6621da8833',1,'alexaClientSDK::kwd::test::AbstractKeyWordDetectorTest']]],
  ['stateobserver2',['stateObserver2',['../classalexa_client_s_d_k_1_1kwd_1_1test_1_1_abstract_key_word_detector_test.html#abeb8aeb765cd46267887b43eabe89abe',1,'alexaClientSDK::kwd::test::AbstractKeyWordDetectorTest']]],
  ['status',['status',['../structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_get_mime_headers_result.html#ae780c12b6f20512a88ec98e1b712d959',1,'alexaClientSDK::avsCommon::utils::http2::HTTP2GetMimeHeadersResult::status()'],['../structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html#a11c6b1f4bea60f1435a7e73d810b5a78',1,'alexaClientSDK::avsCommon::utils::http2::HTTP2SendDataResult::status()']]],
  ['stop',['STOP',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player.html#af197b6e0cae492ed0d3b4d1c89e4fb84',1,'alexaClientSDK::capabilityAgents::audioPlayer::STOP()'],['../namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth.html#a2cc3aa9a3cec84a73466d8e506abf70f',1,'alexaClientSDK::capabilityAgents::bluetooth::STOP()'],['../namespacealexa_client_s_d_k_1_1sample_app.html#a4d02499cd19c3c312eb5c97fcef129fb',1,'alexaClientSDK::sampleApp::STOP()']]],
  ['stop_5fcapture',['STOP_CAPTURE',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a8a6c8ec24e28b88652b2e524e851f138',1,'alexaClientSDK::capabilityAgents::aip::STOP_CAPTURE()'],['../namespacealexa_client_s_d_k_1_1capability_agents_1_1aip_1_1test.html#aab2c834bb15b8f31f4a15c4074662631',1,'alexaClientSDK::capabilityAgents::aip::test::STOP_CAPTURE()']]],
  ['stop_5fcapture_5fpair',['STOP_CAPTURE_PAIR',['../namespacealexa_client_s_d_k_1_1integration_1_1test.html#ab7081a66f5b4050f07d826fd78949697',1,'alexaClientSDK::integration::test']]],
  ['stop_5fdirective',['STOP_DIRECTIVE',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player.html#a006686ad8c7eebcf6b239871df5603f0',1,'alexaClientSDK::capabilityAgents::externalMediaPlayer::STOP_DIRECTIVE()'],['../namespacealexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1test.html#a3e2d1f57cec26c61ba462d1555aaae6f',1,'alexaClientSDK::capabilityAgents::externalMediaPlayer::test::STOP_DIRECTIVE()']]],
  ['stop_5fscan',['STOP_SCAN',['../namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a1e037c795f080d0ec1228231aafd1446',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['stream',['stream',['../structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html#a9225e5d2a1e9d361877d68148225729b',1,'alexaClientSDK::capabilityAgents::aip::AudioProvider::stream()'],['../structalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_audio_item.html#a159648ec0be3e62919f61122fa8d6324',1,'alexaClientSDK::capabilityAgents::audioPlayer::AudioItem::stream()']]],
  ['stream_5fmetadata_5fextracted_5fname',['STREAM_METADATA_EXTRACTED_NAME',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#ad5403467dd717a0428f2bad5905cda74',1,'alexaClientSDK::capabilityAgents::audioPlayer::test']]],
  ['stream_5fprogress_5ftimeout',['STREAM_PROGRESS_TIMEOUT',['../namespacealexa_client_s_d_k_1_1acl.html#af4106be84e76e23a265df54dab0664e8',1,'alexaClientSDK::acl']]],
  ['streaming_5fended',['STREAMING_ENDED',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth.html#a10d93a2b1ed8933d624199747691d485',1,'alexaClientSDK::capabilityAgents::bluetooth']]],
  ['streaming_5fkey',['STREAMING_KEY',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth.html#af260aef9b778a6959b555d6e4f25e836',1,'alexaClientSDK::capabilityAgents::bluetooth']]],
  ['streaming_5fstarted',['STREAMING_STARTED',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth.html#ad2c28ac695f72cf6bce063309da33c8a',1,'alexaClientSDK::capabilityAgents::bluetooth']]],
  ['strftime_5fformat_5fstring',['STRFTIME_FORMAT_STRING',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a8ccb96589a77487e6befd8debd01761f',1,'alexaClientSDK::avsCommon::utils::logger']]],
  ['string1_5f1_5f1',['STRING1_1_1',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#a17948403bd1418ab91e5164a073bbd41',1,'alexaClientSDK::avsCommon::utils::configuration::test']]],
  ['string2_5f1',['STRING2_1',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#a16a84f9cfaaa0d68fc37f22a7b2ba308',1,'alexaClientSDK::avsCommon::utils::configuration::test']]],
  ['string2_5f1_5f1',['STRING2_1_1',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#a6e565496d753bb86438b796c5ebca02b',1,'alexaClientSDK::avsCommon::utils::configuration::test']]],
  ['string_5fkey_5fvalue_5ftype',['STRING_KEY_VALUE_TYPE',['../namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage.html#ac2002ba183c664390266a9548dbb0da2',1,'alexaClientSDK::storage::sqliteStorage']]],
  ['string_5fvalue',['STRING_VALUE',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#af14cac4bc679bcaae36c2ffc6912ea50',1,'alexaClientSDK::avsCommon::utils::json::test']]],
  ['string_5fvalue1_5f1_5f1',['STRING_VALUE1_1_1',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#aa7b30c531c7724fa2833d6d09a56aec3',1,'alexaClientSDK::avsCommon::utils::configuration::test']]],
  ['string_5fvalue_5fempty_5fjson_5fobject',['STRING_VALUE_EMPTY_JSON_OBJECT',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#afb453fe0df02278926b6a774d6e7462b',1,'alexaClientSDK::avsCommon::utils::json::test']]],
  ['stutter_5fduration_5fkey',['STUTTER_DURATION_KEY',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player.html#a580a4df5e5a8224003ad003ac6b94412',1,'alexaClientSDK::capabilityAgents::audioPlayer']]],
  ['success_5fpartial_5fcontent_5fstatus_5fcode',['SUCCESS_PARTIAL_CONTENT_STATUS_CODE',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#af88c4517d31415e7a774ca4550a76d42',1,'alexaClientSDK::avsCommon::utils::logger::test']]],
  ['success_5fstatus_5fcode',['SUCCESS_STATUS_CODE',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#ad4c136bfa340e496db9c869e15f76a4f',1,'alexaClientSDK::avsCommon::utils::logger::test']]],
  ['successful',['successful',['../structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header.html#af870f526cb7177cefdf9a8637ebfa232',1,'alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface::Header']]],
  ['supported_5fprofiles_5fkey',['SUPPORTED_PROFILES_KEY',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth.html#a1dfd7424ea94b2a57cc2f651ffc7ee0f',1,'alexaClientSDK::capabilityAgents::bluetooth']]],
  ['supportedoperations',['supportedOperations',['../structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_playback_state.html#aef121cadebe9a0830b2892ebfcffb7af',1,'alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::AdapterPlaybackState']]],
  ['supportedservices',['supportedServices',['../structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_device_obser94c6197e70b66554b18e449b4b42c987.html#a8ec2e2104bd55a36a208a57ef07e86fd',1,'alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::BluetoothDeviceObserverInterface::DeviceAttributes']]],
  ['synchronize_5fstate_5fjson',['SYNCHRONIZE_STATE_JSON',['../_json_header_8h.html#acc302a8ec3597fd04343873e8a0edb60',1,'SYNCHRONIZE_STATE_JSON():&#160;JsonHeader.h'],['../namespacealexa_client_s_d_k_1_1integration_1_1test.html#a19bf08f26421f10a84eed65a12e4170c',1,'alexaClientSDK::integration::test::SYNCHRONIZE_STATE_JSON()']]],
  ['system_5fcapability_5finterface_5fname',['SYSTEM_CAPABILITY_INTERFACE_NAME',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1system.html#a68d2a52a5796727fbbe314a7e91ada32',1,'alexaClientSDK::capabilityAgents::system']]],
  ['system_5fcapability_5finterface_5ftype',['SYSTEM_CAPABILITY_INTERFACE_TYPE',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1system.html#acc24263027a70377c57e76404df35514',1,'alexaClientSDK::capabilityAgents::system']]],
  ['system_5fcapability_5finterface_5fversion',['SYSTEM_CAPABILITY_INTERFACE_VERSION',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1system.html#a15e8f50a328e09c09516a280c13d9fe3',1,'alexaClientSDK::capabilityAgents::system']]],
  ['system_5fcomm_5fcall_5fconnected_5fmp3',['system_comm_call_connected_mp3',['../namespacealexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1data.html#a3b062064db9b693ec8921e6093d69cca',1,'alexaClientSDK::applicationUtilities::resources::audio::data']]],
  ['system_5fcomm_5fcall_5fconnected_5fmp3_5flen',['system_comm_call_connected_mp3_len',['../namespacealexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1data.html#a293cc10a0e571e9cafc42f1b5e5124de',1,'alexaClientSDK::applicationUtilities::resources::audio::data']]],
  ['system_5fcomm_5fcall_5fdisconnected_5fmp3',['system_comm_call_disconnected_mp3',['../namespacealexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1data.html#a58de43c2a5dcddf73488bb6bcd6c6d83',1,'alexaClientSDK::applicationUtilities::resources::audio::data']]],
  ['system_5fcomm_5fcall_5fdisconnected_5fmp3_5flen',['system_comm_call_disconnected_mp3_len',['../namespacealexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1data.html#a76807852eba62affc2bc2c4a9845a88a',1,'alexaClientSDK::applicationUtilities::resources::audio::data']]],
  ['system_5fcomm_5fcall_5fincoming_5fringtone_5fintro_5fmp3',['system_comm_call_incoming_ringtone_intro_mp3',['../namespacealexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1data.html#a34ea812bfaa67f6e32f894219a02288b',1,'alexaClientSDK::applicationUtilities::resources::audio::data']]],
  ['system_5fcomm_5fcall_5fincoming_5fringtone_5fintro_5fmp3_5flen',['system_comm_call_incoming_ringtone_intro_mp3_len',['../namespacealexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1data.html#a69f6b002d56f9b458cad1e8763cdf015',1,'alexaClientSDK::applicationUtilities::resources::audio::data']]],
  ['system_5fcomm_5fdrop_5fin_5fconnected_5fmp3',['system_comm_drop_in_connected_mp3',['../namespacealexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1data.html#a0f91067fa8ffa46a2d9e11677691b4c4',1,'alexaClientSDK::applicationUtilities::resources::audio::data']]],
  ['system_5fcomm_5fdrop_5fin_5fconnected_5fmp3_5flen',['system_comm_drop_in_connected_mp3_len',['../namespacealexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1data.html#ad20c081bd8b58fa4cb9898fed9856c7f',1,'alexaClientSDK::applicationUtilities::resources::audio::data']]],
  ['system_5fcomm_5foutbound_5fringtone_5fmp3',['system_comm_outbound_ringtone_mp3',['../namespacealexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1data.html#a4777fde22507ab7bbc28900f82b72076',1,'alexaClientSDK::applicationUtilities::resources::audio::data']]],
  ['system_5fcomm_5foutbound_5fringtone_5fmp3_5flen',['system_comm_outbound_ringtone_mp3_len',['../namespacealexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1data.html#ace7d5dde5b6f6df234d6b9c1e77d53ff',1,'alexaClientSDK::applicationUtilities::resources::audio::data']]]
];
